#/bin/sh

#
# PBS stuff
#
# name of job
#PBS -N xplor-nih
# shell to use
#PBS -S /bin/sh
# send mail at job start/finish
##  PBS -m be
# keep output and error files in home directory
#PBS -k oe

#
# uncomment and edit if you wish to run in a directory different than
#  your home dir.
#
cd /data/clore/GB3
#
# uncomment if the script is a python script
#
PY=-py
#
# name of XPLOR script
#
XPLOR_SCRIPT=tor_cross_three_all.py

#
# name of output file (output will appear in script.out.#)
#  where # is 0-(num processors)
#
LOGFILE=tor_cross_three_all.out
#
#location of xplor
#
XPLOR=/data/schwitrs/xplor-nih-2.9.3/bin/xplor
#
#list of nodes on which to run:
#   this to run two jobs on each node
#
XPLOR_MACHINES=xplor_machines.$PBS_JOBCOOKIE
cat $PBS_NODEFILE $PBS_NODEFILE > $XPLOR_MACHINES
#
# run xplor
#
env XPLOR_RSH="rsh -n" \
     $XPLOR $PY -parallel -o $LOGFILE  -machines $XPLOR_MACHINES \
     < $XPLOR_SCRIPT
#
# clean up
#
rm $XPLOR_MACHINES
